## ICalArray

ICalArray

## Functions

gint | i_cal_array_size ()
ICalArray * | i_cal_array_copy ()
void | i_cal_array_free ()
void | i_cal_array_remove_element_at ()
void | i_cal_array_sort ()

## Types and Values

| ICalArray
struct | ICalArrayClass

## Object Hierarchy

        GObject
        ╰── ICalObject
            ╰── ICalArray

## Description

## Functions

### i_cal_array_size ()

    gint
    i_cal_array_size (ICalArray *array);

Gets the size of the array.

#### Parameters

array | The ICalArray |

#### Returns

The size of current array.

Since: 1.0

### i_cal_array_copy ()

    ICalArray *
    i_cal_array_copy (ICalArray *array);

Creates a deep copy of ICalArray with the same properties as the `array` .

#### Parameters

array | The ICalArray to be cloned. | [in]

#### Returns

The newly cloned ICalArray with the same value as the `array` .

[transfer full]

Since: 1.0

### i_cal_array_free ()

    void
    i_cal_array_free (ICalArray *array);

Frees the ICalArray.

[skip]

#### Parameters

array | The ICalArray to be freed |

Since: 1.0

### i_cal_array_remove_element_at ()

    void
    i_cal_array_remove_element_at (ICalArray *array,
                                   gint position);

Removes the element at the `position` from the array.

#### Parameters

array | The ICalArray to be modified |
position | The position in which the element will be removed from the array |

Since: 1.0

### i_cal_array_sort ()

    void
    i_cal_array_sort (ICalArray *array,
                      gint (*compare) (const void *, const void *));

Does not work right now. Sorts the `array` using the sort function `compare` .

[skip]

#### Parameters

array | The ICalArray to be sorted |
compare | The compare function. | [scope call]

Since: 1.0

## Types and Values

### ICalArray

    typedef struct _ICalArray ICalArray;

This is the ICalArray instance.

### struct ICalArrayClass

    struct ICalArrayClass {
    };

This is the ICalArray class.